3

I'm trying to get the external url-based cron to run and I keep getting fatal errors. I don't really want to debug the PHP code. Can anyone help me?

The URL I use has the correct username, password and sitekey:

http://predigerforum.ch/wordpress/wp-content/plugins/civicrm/civicrm/bin/cron.php?name=xxx@xxx&pass=xx&key=xxx

I get the following message:

Fatal error: require_once(): Failed opening required 'CRM/Core/Config.php' (include_path='.') in /nhldata/631/106631/data/web/predigerforum/htdocs/wordpress/wp-content/plugins/civicrm/civicrm/bin/cron.php on line 30

It looks like there is a path configuration error, but I cannot find any mistakes in the settings file. I've checked quite a few forum entries and things look correct...

Thanks for any help

David

  • I'm using CiviCRM 4.6.4 with the latest Wordpress version – David Christie Aug 27 '15 at 10:16
  • It looks like the setting of the base path is incorrect. I've just tried the url again and got: Warning: require_once(): open_basedir restriction in effect. File(/nhldata/wp-includes/pluggable.php) is not within the allowed path(s): (/nhldata/631/106631/data/web:/usr/local/php55/share/pear:/var/tmp/php:/tmp:/usr/local/php55/lib64) in /nhldata/631/106631/data/web/predigerforum/htdocs/wordpress/wp-content/plugins/civicrm/civicrm/CRM/Utils/System/WordPress.php on line 360 – David Christie Aug 27 '15 at 10:20
  • Warning: require_once(/nhldata/wp-includes/pluggable.php): failed to open stream: Operation not permitted in /nhldata/631/106631/data/web/predigerforum/htdocs/wordpress/wp-content/plugins/civicrm/civicrm/CRM/Utils/System/WordPress.php on line 360 – David Christie Aug 27 '15 at 10:23
  • Fatal error: require_once(): Failed opening required '/nhldata/wp-includes/pluggable.php' (include_path='.:/nhldata/631/106631/data/web/predigerforum/htdocs/wordpress/wp-content/plugins/civicrm/civicrm:/nhldata/631/106631/data/web/predigerforum/htdocs/wordpress/wp-content/plugins/civicrm/civicrm/packages:.:/nhldata/631/106631/data/web/predigerforum/htdocs/wordpress/wp-content/plugins/civicrm/civicrm/:/nhldata/631/106631/data/web/predigerforum/htdocs/wordpress/wp-content/plugins/civicrm/civicrm//packages:.') in – David Christie Aug 27 '15 at 10:24
  • /nhldata/631/106631/data/web/predigerforum/htdocs/wordpress/wp-content/plugins/civicrm/civicrm/CRM/Utils/System/WordPress.php on line 360 – David Christie Aug 27 '15 at 10:24
2

After lots of messing around, I upgraded to 4.6.8 and then made a clean copy of the latest civicrm 4.6.8 files into the civicrm/CRM subdirectory, and the cron job ran properly. However, my Wordpress installation failed, because there are multiple Wordpress installations on the server and a search from the top root caused basedir restriction errors (and would probably have failed for that reason...).

The fix was to add the following lines to civicrm.settings.php, just before the section "do not add anything below this":

if (!defined('CIVICRM_CMSDIR')) { define( 'CIVICRM_CMSDIR', '/nhldata/631/106631/data/web/predigerforum/htdocs/wordpress/' ); }

It was important to include the "/wordpress/" at the end!

I'm not sure that this overriding parameter is really documented, though. I found it referred to in a forum post.

| improve this answer | |

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.